diff --git source/creator/CMakeLists.txt source/creator/CMakeLists.txt
index cb5fc538e69..e6241ad6790 100644
--- source/creator/CMakeLists.txt
+++ source/creator/CMakeLists.txt
@@ -79,6 +79,25 @@ if(WITH_TBB)
   endif()
 endif()
 
+if(WITH_LZO)
+  if(WITH_SYSTEM_LZO)
+    list(APPEND INC_SYS
+      ${LZO_INCLUDE_DIR}
+    )
+    list(APPEND LIB
+      ${LZO_LIBRARIES}
+    )
+    add_definitions(-DWITH_SYSTEM_LZO)
+  else()
+    list(APPEND INC_SYS
+      ../../extern/lzo/minilzo
+    )
+    list(APPEND LIB
+      extern_minilzo
+    )
+  endif()
+  add_definitions(-DWITH_LZO)
+endif()
 
 if(WITH_PYTHON)
   blender_include_dirs(../blender/python)
@@ -1029,8 +1048,11 @@ elseif(APPLE)
 
   if(WITH_OPENMP AND OPENMP_CUSTOM)
     install(
-      FILES ${LIBDIR}/openmp/lib/libomp.dylib
-      DESTINATION Blender.app/Contents/Resources/lib
+      CODE "execute_process( \
+        COMMAND ${CMAKE_COMMAND} -E create_symlink \
+        ${LIBDIR}/lib/libomp/libomp.dylib \
+        ${CMAKE_BINARY_DIR}/bin/Blender.app/Contents/Resources/lib/libomp.dylib \
+      )"
     )
     if(WITH_PYTHON_MODULE)
       # Move the dylib in a Blender version folder to keep the corresponding OpenMP version.
@@ -1050,8 +1072,11 @@ elseif(APPLE)
 
   if(WITH_LLVM AND NOT LLVM_STATIC)
     install(
-      FILES ${LIBDIR}/llvm/lib/libLLVM-3.4.dylib
-      DESTINATION Blender.app/Contents/MacOS
+      CODE "execute_process( \
+        COMMAND ${CMAKE_COMMAND} -E create_symlink \
+        ${LIBDIR}/libexec/llvm-@@llvm_version@@/lib/libLLVM.dylib \
+        ${CMAKE_BINARY_DIR}/bin/Blender.app/Contents/MacOS/libLLVM.dylib \
+      )"
     )
   endif()
 
